// JavaScript Document
//这个程序很有用，一下子解决了NEWLEFT.ASP 时间刷新的问题，解决了许多安全性问题。
// onkeydown=disable_key()
function disable_key()
{
           
		   alert(window.event.altKey+window.event.keyCode);
		   
		   if (event.keyCode==116)
		     {
			   alert('【软件提示】请不要按F5 刷新！');	
			   event.returnValue=false;
			 }
		   
		   
           if ((window.event.altKey)&&
               ((window.event.keyCode==37)|| //屏蔽 Alt+ 方向键 ←
                (window.event.keyCode==39)))
		      { //屏蔽 Alt+ 方向键 →
                //alert("无效操作！");
                event.returnValue=false;
              }

            if ((event.keyCode==8) || //屏蔽退格删除键
                (event.keyCode==116)|| //屏蔽 F5 刷新键
                (event.ctrlKey && event.keyCode==82))
			    { //Ctrl + R
                   event.keyCode=0;
                   event.returnValue=false;
                }
				
				
                  if ((event.ctrlKey)&&(event.keyCode==78)) //屏蔽 Ctrl+n
                        event.returnValue=false;

                  if ((event.shiftKey)&&(event.keyCode==121)) //屏蔽 shift+F10
                       event.returnValue=false;
					   
					   
                  if ((window.event.srcElement.tagName == "A") && (window.event.shiftKey)) 
                       window.event.returnValue = false; //屏蔽 shift 加鼠标左键新开一网页
					   
					   
                    if ((window.event.altKey)&&(window.event.keyCode==115))
					{ //屏蔽Alt+F4
                          window.showModelessDialog("about:blank","","dialogWidth:1px;dialogheight:1px");
                          return false;
					}
					
}



